# $Revision: 1.11 $, $Date: 2004/08/10 17:15:21 $
Summary:	Public Domain Curses
Summary(pl):	Oglnie dostpna biblioteka Curses
Name:		PDCurses
Version:	2.6
Release:	4
Vendor:		Mark Hessling
Group:		Libraries
License:	Public Domain and LGPL
Source0:	http://dl.sourceforge.net/pdcurses/%{name}-%{version}.tar.gz
# Source0-md5:	a376c91c7fdfa0215f4c22024ca325f1
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-Makefile.patch
URL:		http://pdcurses.sourceforge.net/
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PDCurses is an implementation of the curses library for X11. It
provides the ability for existing text-mode curses programs to be
re-built as native X11 applications with very little modification.
PDCurses for X11 is also known as XCurses. For more information on
PDCurses, visit http://pdcurses.sourceforge.net/ .

%description -l pl
PDCurses jest implementacj biblioteki curses dla X11. Umoliwia ona
przebudowanie istniejcych programw tekstowych korzystajcych z
curses jako natywne aplikacje X11 po jedynie niewielkich
modyfikacjach. PDCurses dla X11 jest znana take jako XCurses. Wicej
informacji na temat PDCurses mona znale na stronie
http://pdcurses.sourceforge.net/ .

%package devel
Summary:	Header files for PDCurses library
Summary(pl):	Pliki nagwkowe biblioteki PDCurses
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files for PDCurses library.

%description devel -l pl
Pliki nagwkowe biblioteki PDCurses.

%package static
Summary:	Static version of PDCurses library
Summary(pl):	Statyczna wersja biblioteki PDCurses
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static version of PDCurses library.

%description static -l pl
Statyczna wersja biblioteki PDCurses.

%prep
%setup -q
%patch0
%patch1 -p1

%build
cp -f /usr/share/automake/config.sub .
%{__autoconf}
%configure
%{__make} \
	LD_RXLIB2="-Wl,-soname=libXCurses.so -L/usr/X11R6/%{_lib} -lXaw -lXmu -lXt -lX11"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README TODO
%attr(755,root,root) %{_libdir}/libXCurses.so

%files devel
%defattr(644,root,root,755)
%doc doc/*
%attr(755,root,root) %{_bindir}/xcurses-config
# this one is static-only
%{_libdir}/libXpanel.a
%{_includedir}/%{name}

%files static
%defattr(644,root,root,755)
%{_libdir}/libXCurses.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: PDCurses.spec,v $
Revision 1.11  2004/08/10 17:15:21  havner
- rel 4

Revision 1.10  2004/08/10 17:09:51  havner
- makefile patch

Revision 1.9  2004/08/10 16:42:28  averne
- fixed libdir

Revision 1.8  2004/08/10 16:20:50  averne
- refresh config.sub
- rel 3

Revision 1.7  2004/05/13 18:55:14  ankry
- spaces -> tabs, other cosmetics

Revision 1.6  2003/12/01 01:18:33  undefine
- release 2 to rebuild with ac

Revision 1.5  2003/08/21 11:35:41  qboosh
- link fix, separated -devel and -static

Revision 1.4  2003/08/21 11:20:54  qboosh
- typos, cosmetics

Revision 1.3  2003/08/21 11:19:19  ankry
- typo

Revision 1.2  2003/08/21 11:08:50  ankry
- pl translations

Revision 1.1  2003/08/20 01:22:14  undefine
- initital pld version
